SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0000417: OpenVPN - Global push options - save button without function - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000417Endian FirewallGUIpublic2008-01-07 15:182008-02-02 07:28
ReporterEMR-MR 
Assigned Topeter-endian 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2-beta2 
Target Version2.2-beta3Fixed in Version2.2-beta3 
Summary0000417: OpenVPN - Global push options - save button without function
DescriptionCheckboxes for the global push options will not be saved, when the save - button is pressed.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000725)
peter-endian (administrator)
2008-01-07 16:20

can you change other configuration options, like ip pool start/end for example?
(0000728)
EMR-MR (reporter)
2008-01-08 09:09
edited on: 2008-01-08 09:11

IT's possible to change the other configuration settings, but they will not be stored (checkboxes are marked).

The global settings will work fine. The changes on authentication setting will sometimes not update the certificate management mask.

(0000740)
peter-endian (administrator)
2008-01-08 14:26

Could this be a permission problem, that the GUI is not able to write the settings file?
Can you please post the output of:

ls -la /var/efw/openvpn
(0000747)
EMR-MR (reporter)
2008-01-09 07:45

/root$ ls -la /var/efw/openvpn
total 40
drwxr-xr-x 3 nobody nobody 4096 Jan 8 10:18 .
drwxr-xr-x 39 root root 4096 Jan 4 18:01 ..
-rw-r--r-- 1 root root 1315 Jan 8 10:18 cacert.pem
drwxr-xr-x 2 root root 4096 Jan 4 18:00 default
-rw-r--r-- 1 root root 245 Jan 4 18:28 dh1024.pem
-rw-r--r-- 1 nobody nobody 0 Jan 8 10:17 enable
-rw-r--r-- 1 root root 20 Jan 8 10:18 issuer.txt
-rwxr-x--- 1 root openvpn 384 Jan 8 10:17 passwd
-r-------- 1 nobody nobody 2702 Jan 8 10:04 pkcs12.p12
-rw-r--r-- 1 nobody nobody 277 Jan 8 10:17 settings
-rw-r--r-- 1 root root 23 Jan 8 10:18 subject.txt
(0000757)
peter-endian (administrator)
2008-01-09 20:04

hmm. permissions are correct
need to retry it here

- Issue History
Date Modified Username Field Change
2008-01-07 15:18 EMR-MR New Issue
2008-01-07 16:20 peter-endian Note Added: 0000725
2008-01-07 16:20 peter-endian Assigned To => peter-endian
2008-01-07 16:20 peter-endian Status new => feedback
2008-01-08 09:09 EMR-MR Note Added: 0000728
2008-01-08 09:11 EMR-MR Note Edited: 0000728
2008-01-08 09:16 EMR-MR Note Added: 0000729
2008-01-08 09:27 EMR-MR Note Edited: 0000729
2008-01-08 09:27 EMR-MR Note Deleted: 0000729
2008-01-08 14:26 peter-endian Note Added: 0000740
2008-01-09 07:45 EMR-MR Note Added: 0000747
2008-01-09 20:04 peter-endian Note Added: 0000757
2008-01-09 20:04 peter-endian Status feedback => acknowledged
2008-01-09 20:11 peter-endian Target Version => 2.2-beta3
2008-01-30 11:45 ra-endian Status acknowledged => resolved
2008-01-30 11:45 ra-endian Fixed in Version => 2.2-beta3
2008-01-30 11:45 ra-endian Resolution open => fixed
2008-02-02 07:28 raphael-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker